Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultRDFSDatatypeFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.DefaultRDFSDatatypeFactory

All Implemented Interfaces:
  RDFSDatatypeFactory

    public class DefaultRDFSDatatypeFactory

extends Object
implements RDFSDatatypeFactory

Author:
  Holger Knublauch

Constructor Summary
`DefaultRDFSDatatypeFactory(OWLModel owlModel)`

Method Summary
`RDFSDatatype` | `createAnonymousDatatype(RDFSDatatype baseType)`
`RDFSDatatype` | `createDatatype(RDFSDatatype baseType, String name)`
`void` | `setLength(RDFSDatatype datatype, int value)`
`void` | `setMaxExclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMaxInclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMaxLength(RDFSDatatype datatype, int value)`
`void` | `setMinExclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMinInclusive(RDFSDatatype datatype, RDFSLiteral literal)`
`void` | `setMinLength(RDFSDatatype datatype, int value)`
`void` | `setPattern(RDFSDatatype datatype, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRDFSDatatypeFactory

    public DefaultRDFSDatatypeFactory(OWLModel owlModel)

Method Detail

### createAnonymousDatatype

    public RDFSDatatype createAnonymousDatatype(RDFSDatatype baseType)

  Specified by:
    `createAnonymousDatatype` in interface `RDFSDatatypeFactory`

### createDatatype

    public RDFSDatatype createDatatype(RDFSDatatype baseType,
                                       String name)

  Specified by:
    `createDatatype` in interface `RDFSDatatypeFactory`

### setLength

    public void setLength(RDFSDatatype datatype,
                          int value)

  Specified by:
    `setLength` in interface `RDFSDatatypeFactory`

### setMaxExclusive

    public void setMaxExclusive(RDFSDatatype datatype,
                                RDFSLiteral literal)

  Specified by:
    `setMaxExclusive` in interface `RDFSDatatypeFactory`

### setMaxInclusive

    public void setMaxInclusive(RDFSDatatype datatype,
                                RDFSLiteral literal)

  Specified by:
    `setMaxInclusive` in interface `RDFSDatatypeFactory`

### setMaxLength

    public void setMaxLength(RDFSDatatype datatype,
                             int value)

  Specified by:
    `setMaxLength` in interface `RDFSDatatypeFactory`

### setMinExclusive

    public void setMinExclusive(RDFSDatatype datatype,
                                RDFSLiteral literal)

  Specified by:
    `setMinExclusive` in interface `RDFSDatatypeFactory`

### setMinInclusive

    public void setMinInclusive(RDFSDatatype datatype,
                                RDFSLiteral literal)

  Specified by:
    `setMinInclusive` in interface `RDFSDatatypeFactory`

### setMinLength

    public void setMinLength(RDFSDatatype datatype,
                             int value)

  Specified by:
    `setMinLength` in interface `RDFSDatatypeFactory`

### setPattern

    public void setPattern(RDFSDatatype datatype,
                           String value)

  Specified by:
    `setPattern` in interface `RDFSDatatypeFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.